# Uses of Class
org.eclipse.equinox.bidi.internal.StructuredTextStringRecord

Packages that use StructuredTextStringRecord
Package
Description
org.eclipse.equinox.bidi.internal

## Uses of StructuredTextStringRecord in org.eclipse.equinox.bidi.internal

Methods in org.eclipse.equinox.bidi.internal that return StructuredTextStringRecord
Modifier and Type
Method
Description
`static StructuredTextStringRecord`
StructuredTextStringRecord.`addRecord(String string, int segmentCount, String handlerID, int start, int limit)`
Records a string in the pool.
`static StructuredTextStringRecord`
StructuredTextStringRecord.`getRecord(String string)`
Checks if a string is recorded and retrieves its record.